# $Revision: 1.8 $, $Date: 2011/07/26 08:34:51 $
Summary:	LSI Logic MegaRAID Linux MegaCLI utility
Summary(pl.UTF-8):	Linuksowe narzędzie MegaCLI dla macierzy LSI Logic MegaRAID
Name:		megacli-sas
Version:	8.01.06
Release:	1
License:	LSI
Group:		Base
# http://www.lsi.com/storage_home/products_home/internal_raid/megaraid_sas/6gb_s_value_line/sas9260-8i/
Source0:	http://www.lsi.com/downloads/Public/MegaRAID%20Common%20Files/%{version}_Linux_MegaCLI.zip
# Source0-md5:	f5647c907f0d8517d56d2ceb4942132c
BuildRequires:	rpm-utils
BuildRequires:	unzip
Requires:	sysfsutils >= 2.2.0
Requires:	sysfsutils < 2.3.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

# no debug symbols
%define		_enable_debug_packages	0

%description
Tool to control MegaRAID controllers:
- MegaRAID SAS 9240-4i
- MegaRAID SAS 9240-8i
- MegaRAID SAS 9260-4i
- MegaRAID SAS 9260-8i
- MegaRAID SAS 9260DE-8i
- MegaRAID SAS 9261-8i
- MegaRAID SAS 9280-4i4e
- MegaRAID SAS 9280-8e
- MegaRAID SAS 9280DE-8e
- MegaRAID SAS 9280-24i4e
- MegaRAID SAS 9280-16i4e
- MegaRAID SAS 9260-16i
- MegaRAID SAS 8704ELP
- MegaRAID SAS 8704EM2
- MegaRAID SAS 8708ELP
- MegaRAID SAS 8708EM2
- MegaRAID SAS 8880EM2
- MegaRAID SAS 8888ELP

%description -l pl.UTF-8
Narzędzie do sterowania kontrolerami MegaRAID:
- MegaRAID SAS 9240-4i
- MegaRAID SAS 9240-8i
- MegaRAID SAS 9260-4i
- MegaRAID SAS 9260-8i
- MegaRAID SAS 9260DE-8i
- MegaRAID SAS 9261-8i
- MegaRAID SAS 9280-4i4e
- MegaRAID SAS 9280-8e
- MegaRAID SAS 9280DE-8e
- MegaRAID SAS 9280-24i4e
- MegaRAID SAS 9280-16i4e
- MegaRAID SAS 9260-16i
- MegaRAID SAS 8704ELP
- MegaRAID SAS 8704EM2
- MegaRAID SAS 8708ELP
- MegaRAID SAS 8708EM2
- MegaRAID SAS 8880EM2
- MegaRAID SAS 8888ELP

%prep
%setup -qcT
unzip %{SOURCE0}
unzip -o MegaCliLin.zip
rpm2cpio MegaCli-*.rpm | cpio -i -d

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
%ifarch %{ix86}
install -p opt/MegaRAID/MegaCli/MegaCli $RPM_BUILD_ROOT%{_sbindir}/MegaCli
%endif
%ifarch %{x8664}
install -p opt/MegaRAID/MegaCli/MegaCli64 $RPM_BUILD_ROOT%{_sbindir}/MegaCli
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/MegaCli

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: megacli-sas.spec,v $
Revision 1.8  2011/07/26 08:34:51  areq
- 8.01.06

Revision 1.7  2011/03/06 00:04:47  arekm
- R specific sysfsutils version

Revision 1.6  2011/03/05 23:52:58  arekm
- up to 8.00.40

Revision 1.5  2010/05/16 00:27:42  sparky
- BR: unzip

Revision 1.4  2010/04/14 06:42:32  glen
- disable debuginfo package

Revision 1.3  2009/04/11 06:50:37  qboosh
- pl

Revision 1.2  2009/02/26 16:13:50  baggins
- do not rename program, it's confusing as it has hardcoded name in help

Revision 1.1  2008/06/17 11:42:00  arekm
- megacli sas
